/**
 * SimpleMessage.java
 *
 * @author Dj Walker-Morgan
 */


import java.util.ArrayList;

public class SimpleMessage
{
	Long id;
	Long parent;
	ArrayList children=new ArrayList();
	
	public SimpleMessage(Long id,Long parent)
	{
		this.id=id;
		this.parent=parent;
	}
	
	public void addChild(Long cid)
	{
		synchronized(children)
		{
			children.add(cid);
		}
	}
	
	public Long getChild(int i)
	{
		synchronized(children)
		{
			try
			{
				return (Long)children.get(i);
			}
			catch(IndexOutOfBoundsException ioobe)
			{
				return null;
			}
		}
	}
	
	String payload;
	
	public String getPayload()
	{
		if(payload==null)
		{
			if(parent==null)
			{
				payload="This is node "+id;
			}
			else
			{
				payload="This is node "+id+" with parent "+parent;
			}
		}
		
		return payload;
	}
}

